Subject: Re: Git Questions

From: Jan Hudec <[email-masked]>
Date: Mon, 20 Aug 2007 20:35:33 +0200

On Mon, Aug 20, 2007 at 13:59:41 +0100, David Tweed wrote:
> > On Monday 2007 August 20, Tom Schinckel wrote:
> >
> > > The reason I want to do that is so I can set up blind commits that I can
> > > add in a anacron job or something. The information about the files isn't
> > > really important
> 
> Regarding your basic intention, I've worked on something _similar_
> using git and put it up on the web (although not got around to editing
> the git wiki) at
> 
> http://www.personal.rdg.ac.uk/~sis05dst/chronoversion.htm
> 
> (with a minor update is going to go up when 1.5.3 gets released & I
> test it works.) There are two important differences with what you want
> to do:
> 
> 1. As I recall someone else saying when talking about using SCM
> on their home directory (Joey Hess?), if you blanket record
> everything you then end up being careful about, eg, piping a
> grep search into a temporary file for some purpose, etc. So
> chronoversion takes a python function that decides if a file
> is "worth recording" (which can be by suffix or more general
> analysis).
> 
> 2. As I've got a nervous tick of saving every couple of minutes
> (in case the editor or network I'm on dies), recording on save
> is too fine a granularity for me, so the script is designed to
> run from a cron job (I have it at once an hour) and not make
> a commit if it finds nothing has changed.

There's inotify interface in recent Linux and there is an incron
(http://inotify.aiken.cz/) tool to run action when a file changes. I didn't
actually use that tool, but from description of the Debian package it looks
like it could be used to run git whenever you save something.

> As I say, not exactly what you're looking for but it might be
> in the right direction.

-- 
						 Jan 'Bulb' Hudec <[email-masked]>